Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231206 - seq considers format "%02d" illegal
Summary: seq considers format "%02d" illegal
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 19:10 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-07 09:06:50 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2007-03-06 19:10:43 UTC
Description of problem:
'seq --format="%02d" 1 10' errors out

Version-Release number of selected component (if applicable):
coreutils-6.7-9.fc7

How reproducible:
Always

Steps to Reproduce:
1. seq --format="%02d" 1 10
2.
3.
  
Actual results:
seq: invalid format string: `%02d'
Try `seq --help' for more information.

Expected results:
01 02 03 04 05 06 07 08 09 10

Additional info:

Comment 1 Horst H. von Brand 2007-03-06 19:15:04 UTC
Oops, sorry, misunderstood the man page and help text.

In any case, just floating point numbers make no sense for seq(1), I've *only*
used it with integers.

Comment 2 Tim Waugh 2007-03-07 09:06:50 UTC
%02g is what you want.


Note You need to log in before you can comment on or make changes to this bug.